using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinEditors;


namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        UltraCombo combo;
        public Form1()
        {
            InitializeComponent();           
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {             
            // Set grid's DataSource
            dt1 = DummyDataCreator.GetData(10, new Type[] { typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String), typeof(String) });

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);            
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];

            layout.UseFixedHeaders = true;
            band.Columns[0].Header.Fixed = true;
            band.Columns[1].Header.Fixed = true;
            band.Columns[2].Header.Fixed = true;
            band.Columns[3].Header.Fixed = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.Bands[0].Columns[12].Header.Fixed = true;
            this.DisplayVisiblePositions();
        }

        private void DisplayVisiblePositions()
        {
            Debug.WriteLine("********************* DisplayVisiblePositions *************************"); 
            foreach (UltraGridColumn column in this.ultraGrid1.DisplayLayout.Bands[0].Columns)
            {
                Debug.Write(column.Key);
                Debug.Write(": " );
                Debug.Write(column.Header.VisiblePosition);
                Debug.WriteIf(column.Header.Fixed, "  (Fixed)");
                Debug.WriteLine(null); 
            }
        }

        private void ultraGrid1_AfterColPosChanged(object sender, AfterColPosChangedEventArgs e)
        {
            this.DisplayVisiblePositions();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DisplayVisiblePositions();
        }

    }
}


